Index: lk/arch/arm/plat-omap/include/bridge/gt.h
===================================================================
--- lk.orig/arch/arm/plat-omap/include/bridge/gt.h	2008-08-18 10:38:39.000000000 +0300
+++ lk/arch/arm/plat-omap/include/bridge/gt.h	2008-08-18 10:38:40.000000000 +0300
@@ -271,8 +271,6 @@
 
 #else				/* GT_TRACE == 1 */
 
-extern char *GT_format;
-extern u8 *GT_tMask[GT_BOUND];
 
 #define GT_create(mask, modName)    _GT_create((mask), (modName))
 #define GT_curLine()                ((u16)__LINE__)
Index: lk/drivers/dsp/bridge/gen/gt.c
===================================================================
--- lk.orig/drivers/dsp/bridge/gen/gt.c	2008-08-18 10:38:39.000000000 +0300
+++ lk/drivers/dsp/bridge/gen/gt.c	2008-08-18 10:38:40.000000000 +0300
@@ -51,7 +51,7 @@
 static char *GT_1format = "%s - %d: ";
 static char *GT_2format = "%s - %d(%d): ";
 
-unsigned char *GT_tMask[GT_BOUND];
+static unsigned char *GT_tMask[GT_BOUND];
 
 static bool curInit = false;
 static char *separator;
Index: lk/drivers/dsp/bridge/wmd/tiomap_sm.c
===================================================================
--- lk.orig/drivers/dsp/bridge/wmd/tiomap_sm.c	2008-08-18 10:38:38.000000000 +0300
+++ lk/drivers/dsp/bridge/wmd/tiomap_sm.c	2008-08-18 10:38:40.000000000 +0300
@@ -78,7 +78,6 @@
 #ifndef DEBUG
 #define TIHELEN_INT_TIMEOUT     1
 #define LOOP_COUNT              1000000
-extern u64 tiomap1510_liTicksPerSecond;	/* Timer frequency */
 #endif
 
 extern struct MAILBOX_CONTEXT mboxsetting;
Index: lk/drivers/dsp/bridge/wmd/tiomap3430.c
===================================================================
--- lk.orig/drivers/dsp/bridge/wmd/tiomap3430.c	2008-08-18 10:38:38.000000000 +0300
+++ lk/drivers/dsp/bridge/wmd/tiomap3430.c	2008-08-18 10:38:40.000000000 +0300
@@ -136,9 +136,6 @@
 void GetHWRegs(u32 prcm_base, u32 cm_base);
 
 /*  ----------------------------------- Globals */
-#ifndef DEBUG
-u64 tiomap1510_liTicksPerSecond;	/* Timer frequency */
-#endif
 
 /* Attributes of L2 page tables for DSP MMU */
 struct PageInfo {
@@ -249,10 +246,6 @@
 	DBC_Require(pstrWMDFileName != NULL);
 	DBG_Trace(DBG_ENTER, "In the WMD_DRV_Entry \n");
 
-#ifndef DEBUG
-	tiomap1510_liTicksPerSecond = HZ;
-#endif
-
 	if (CSL_Strcmp(pstrWMDFileName, "UMA") == 0)
 		*ppDrvInterface = &drvInterfaceFxns;
 	else
